<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/background_shape_white_radius_6"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/video_cover_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/video_cover"
            style="@style/frescoStyle"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:actualImageScaleType="centerCrop"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="h,16:9"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundBottomLeft="false"
            app:roundBottomRight="false"
            app:roundTopLeft="true"
            app:roundTopRight="true"
            app:roundedCornerRadius="6dp" />

        <com.lightgame.view.CheckableImageView
            android:id="@+id/selectIv"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_gravity="center"
            android:layout_marginLeft="4dp"
            android:layout_marginTop="4dp"
            android:layout_marginRight="12dp"
            android:src="@drawable/selector_ic_video_history"
            android:visibility="gone"
            app:layout_constraintStart_toStartOf="@+id/video_cover"
            app:layout_constraintTop_toTopOf="@+id/video_cover"
            tools:visibility="visible" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="24dp"
            android:background="@drawable/visit_history_video_bottom_bg"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <TextView
                android:id="@+id/video_like_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:drawableLeft="@drawable/ic_game_detail_video_vote"
                android:drawablePadding="4dp"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/video_comment_count"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:drawableLeft="@drawable/ic_video_comment_count"
                android:drawablePadding="4dp"
                android:textColor="@color/white"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="@+id/video_like_count"
                app:layout_constraintStart_toEndOf="@+id/video_like_count"
                app:layout_constraintTop_toTopOf="@+id/video_like_count" />

            <TextView
                android:id="@+id/video_duration"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="8dp"
                android:textColor="@color/white"
                android:textSize="10sp"
                app:layout_constraintBottom_toBottomOf="@+id/video_comment_count"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@+id/video_comment_count" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/video_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="8dp"
        android:layout_marginBottom="10dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:lineSpacingExtra="4dp"
        android:maxLines="2"
        android:textColor="@color/text_title"
        android:textSize="13sp"
        app:layout_constraintBottom_toTopOf="@+id/user_info"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/video_cover_info"
        app:layout_constraintVertical_chainStyle="spread_inside" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/user_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        android:paddingTop="2dp"
        android:paddingBottom="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/video_title">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/user_icon"
            style="@style/frescoCircleStyle"
            android:layout_width="16dp"
            android:layout_height="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:roundingBorderColor="@color/background"
            app:roundingBorderWidth="1dp" />

        <TextView
            android:id="@+id/user_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="4dp"
            android:ellipsize="end"
            android:maxLines="1"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@+id/user_icon"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/user_icon"
            app:layout_constraintTop_toTopOf="@+id/user_icon" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.constraintlayout.widget.ConstraintLayout>

